Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.gradle
[Java] Interface GradleBuild

    @Incubating
    public interface GradleBuild

Provides information about the structure of a Gradle build.

Since:
  1.8

Method Summary
`DomainObjectSet` | `getProjects()` Returns the set of all projects for this build.
`BasicGradleProject` | `getRootProject()` Returns the root project for this build.

Method Detail

### getProjects

    public DomainObjectSet getProjects()

  Returns the set of all projects for this build. Will include the root project and any ancestors.
  Returns:
    The set of all projects.

### getRootProject

    public BasicGradleProject getRootProject()

  Returns the root project for this build.
  Returns:
    The root project

Gradle API 1.10